summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-x.travis.sh4
-rw-r--r--.travis.yml16
2 files changed, 11 insertions, 9 deletions
diff --git a/.travis.sh b/.travis.sh
index 65649f6..45b0c56 100755
--- a/.travis.sh
+++ b/.travis.sh
@@ -1,5 +1,7 @@
#!/bin/bash
+set -e
+
MAKEOPTS="-j$(nproc)"
case "$1" in
@@ -11,7 +13,7 @@ case "$1" in
git clone --depth 1 git://git.code.sf.net/p/opencore-amr/fdk-aac
;;
install)
- sudo apt-get install -qq autoconf automake build-essential git imagemagick libjpeg-progs libopus0 libtheora-dev libtool libvpx-dev libx264-dev nodejs optipng pkg-config zlib1g-dev
+ sudo apt-get install -qq autoconf automake build-essential git imagemagick libjpeg-progs libopus libtheora-dev libtool libvpx-dev libx264-dev nodejs optipng pkg-config yasm zlib1g-dev
cd fdk-aac
autoreconf -fiv
diff --git a/.travis.yml b/.travis.yml
index 1223e43..e7057cd 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -3,11 +3,11 @@ env: MINIMAL=1 CFLAGS="-O2 -march=native -pipe" CXXFLAGS="-O2 -march=native -pip
before_install: ./.travis.sh before_install
install: ./.travis.sh install
script: ./.travis.sh script
-notifications:
- email:
- - alex_y_xu@yahoo.ca
- irc:
- channels:
- - "chat.freenode.net#html5ks"
- on_success: change
- on_failure: always
+#notifications:
+# email:
+# - alex_y_xu@yahoo.ca
+# irc:
+# channels:
+# - "chat.freenode.net#html5ks"
+# on_success: change
+# on_failure: always